cURL
curl -X POST https://api.aiql.io/split \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "Content-Type: application/json" \
-d '{"markdown": "# Report\n\nLong markdown content..."}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
chunks = client.tools.split(markdown=markdown)import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const chunks = await client.tools.split({ markdown });[
"<string>"
]{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tools
Split
POST
/
split
cURL
curl -X POST https://api.aiql.io/split \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "Content-Type: application/json" \
-d '{"markdown": "# Report\n\nLong markdown content..."}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
chunks = client.tools.split(markdown=markdown)import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const chunks = await client.tools.split({ markdown });[
"<string>"
]{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Body
application/json
Markdown content to split into chunks.
Minimum string length:
1Example:
"# Title\n\nParagraph content here.\n\n## Section\n\nMore content."
Response
Successful Response